import { getFeatures } from "@brojs/cli";

const features = getFeatures('dry-wash');

export const FEATURE = {
  orderViewStatusPolling: {
    isOn: Boolean(features?.['order-view-status-polling']),
    getValue: () => {
      const interval = parseInt(features?.['order-view-status-polling']?.value);
      if (!Number.isNaN(interval)) {
        return interval;
      }
    }
  },
  carImageUpload: {
    isOn: Boolean(features?.['car-img-upload'])
  }
};